

defaultLimit = 100


def validateLimit(func):
    def wrapper(self, **data):
        limit = self.getParameter("limit") or defaultLimit

        data.update({
            "limit": _validateLimit(limit)
        })

        return func(self, **data)
    return wrapper


def _validateLimit(limit):
    try:
        result = abs(int(limit))
        return min(result, defaultLimit)
    except:
        return defaultLimit
